@if "%1c"=="c" goto usage
@goto install

:usage
@echo.
@echo USAGE: Install [current-working-directory]
@echo The current-working-directory is the full path containing all the
@echo One-Boot Flash Update files, including this command file.
@echo.
@echo Example:
@echo.
@echo         Install C:\OFU\Test
@echo.
@goto exit

:install
@set OFU_INSTALL_DIR=%1
@echo.
@echo Installing IMB driver...
@echo.
Win2kinstall %OFU_INSTALL_DIR%\imbdrv.inf *IMBDRV
@if ERRORLEVEL 1 goto flashud
goto error

:flashud
@echo Done!
@echo.
@echo Installing FLASHUD driver...
@echo.
Win2kinstall %OFU_INSTALL_DIR%\flashud.inf *INT0800
@if ERRORLEVEL 1 goto :done
goto error

:done
@echo Done!
@echo.
@echo Successfully installed the One-Boot Flash Update Utility!
@echo PLEASE REBOOT the system in order for the drivers to be loaded.
@echo.
@goto exit

:error
@echo.
@echo *ERROR* Failed to install the One-Boot Flash Update Utility.
@echo         Either a previous instance of the driver has not been
@echo         fully uninstalled, or the system BIOS may not support 
@echo         online updates.
@echo.

:exit


