ECHO OFF
REM  uninstall_smSubagent.bat
REM  
REM   This .bat file will take all the necessary steps to install the 
REM   Intel Server Management SNMP Subagent on an Itanium server
REM   running Windows Server 2003.
REM
REM
ECHO Uninstalling the Server Management SNMP Subagent
REM
REM   UnInstall the IMB driver
ECHO Un-Installing IMB driver
Win2kUnInstall *IMBDRV
REM
REM   Remove the registry keys for the subagent
ECHO Removing Registry keys for subagent
REGEDIT /S del_reg_snmp.reg
REM
REM   Now stop and restart the SNMP service
ECHO Stopping the SNMP service to deactivate the subagent
NET STOP SNMP
REM
REM   Delete all the files we can for now
SET SUBAGENTPATH=%SystemDrive%\Program Files\Intel\servermanagement5.6\SNMP
DEL  snmpsa.conf
DEL  imbdrv.inf
DEL  imbdrv.sys
DEL  del_reg_snmp.reg
DEL  smSubagent.dll
DEL  smbiosAPI.dll
DEL  snmppmal.dll
DEL  Win2kUninstall.exe
DEL  readme.txt
REM DEL  subagent.log
DEL  basebrd5.mib
REM
REM  Now restart the SNMP service so the change takes efect
ECHO Restarting the SNMP service.  The subagent will no longer be in use.
NET START SNMP
REM
ECHO 
ECHO  Automated uninstall complete. Please remove the following file: 
ECHO      %SUBAGENTPATH%\uninstall_smSubagent.bat 
ECHO  and the %SUBAGENTPATH% folder to complete the uninstall.
REM
ECHO Setting current directory to %SystemDrive%\Program Files
CD %SystemDrive%\Program Files
CD